@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  dojo startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and DOJO_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\dojo-0.3.0.jar;%APP_HOME%\lib\virtual-kata-lib-2.0.0.jar;%APP_HOME%\lib\google-guava-eventbus-3.0.0-03.jar;%APP_HOME%\lib\richtextfx-0.6.10.jar;%APP_HOME%\lib\logback-classic-0.9.29.jar;%APP_HOME%\lib\logback-core-0.9.29.jar;%APP_HOME%\lib\guice-4.1.0.jar;%APP_HOME%\lib\unirest-java-1.4.9.jar;%APP_HOME%\lib\jsoup-1.9.2.jar;%APP_HOME%\lib\gson-2.7.jar;%APP_HOME%\lib\junit-4.12.jar;%APP_HOME%\lib\checkstyle-7.1.1.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\undofx-1.2.jar;%APP_HOME%\lib\flowless-0.4.5.jar;%APP_HOME%\lib\reactfx-2.0-M4u1.jar;%APP_HOME%\lib\wellbehavedfx-0.1.1.jar;%APP_HOME%\lib\slf4j-api-1.6.1.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\httpasyncclient-4.1.1.jar;%APP_HOME%\lib\httpmime-4.5.2.jar;%APP_HOME%\lib\httpclient-4.5.2.jar;%APP_HOME%\lib\json-20160212.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\antlr4-runtime-4.5.3.jar;%APP_HOME%\lib\commons-beanutils-1.9.2.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\commons-cli-1.3.1.jar;%APP_HOME%\lib\httpcore-nio-4.4.4.jar;%APP_HOME%\lib\httpcore-4.4.4.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.9.jar

@rem Execute dojo
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %DOJO_OPTS%  -classpath "%CLASSPATH%" tddtrainer.Startup %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable DOJO_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%DOJO_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
